/// <reference types="react" />
import Draggable from "react-draggable";
export declare const TableInteractiveRoot: (<C = "div">(props: import("@mantine/core").PolymorphicComponentProps<C, import("@mantine/core").BoxComponentProps>) => import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>>) & Omit<import("react").FunctionComponent<(import("@mantine/core").BoxComponentProps & {
    component?: any;
} & Omit<Omit<any, "ref">, "component" | keyof import("@mantine/core").BoxComponentProps> & {
    ref?: any;
    renderRoot?: ((props: any) => any) | undefined;
}) | (import("@mantine/core").BoxComponentProps & {
    component: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements>;
    renderRoot?: ((props: Record<string, any>) => any) | undefined;
})>, never> & Record<string, never>;
interface TableDraggableProps {
    enableCustomUserSelectHack?: boolean;
}
export declare const TableDraggable: import("@emotion/styled").StyledComponent<Pick<Partial<import("react-draggable").DraggableProps>, never> & {
    disabled?: boolean | undefined;
    children?: import("react").ReactNode;
    scale?: number | undefined;
    position?: import("react-draggable").ControlPosition | undefined;
    onDrag?: import("react-draggable").DraggableEventHandler | undefined;
    onMouseDown?: ((e: MouseEvent) => void) | undefined;
    grid?: [number, number] | undefined;
    cancel?: string | undefined;
    nodeRef?: import("react").RefObject<HTMLElement> | undefined;
    axis?: "x" | "y" | "both" | "none" | undefined;
    handle?: string | undefined;
    bounds?: string | false | import("react-draggable").DraggableBounds | undefined;
    defaultClassName?: string | undefined;
    defaultClassNameDragging?: string | undefined;
    defaultClassNameDragged?: string | undefined;
    defaultPosition?: import("react-draggable").ControlPosition | undefined;
    positionOffset?: import("react-draggable").PositionOffsetControlPosition | undefined;
    allowAnyClick?: boolean | undefined;
    enableUserSelectHack?: boolean | undefined;
    offsetParent?: HTMLElement | undefined;
    onStart?: import("react-draggable").DraggableEventHandler | undefined;
    onStop?: import("react-draggable").DraggableEventHandler | undefined;
} & {} & {
    theme?: import("@emotion/react").Theme | undefined;
} & TableDraggableProps, {}, {
    ref?: import("react").Ref<Draggable> | undefined;
}>;
export declare const ResizeHandle: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const ExpandButton: import("@emotion/styled").StyledComponent<import("../../../core/components/Button").ButtonProps & import("react").RefAttributes<HTMLButtonElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export {};
